
TYPO3.Neos - Bug # 48496

Status: Resolved Priority: Must have
Author: Simon Schaufelberger Category:
Created: 2013-05-23 Assigned To:
Updated: 2013-09-30 Due date:
Subject: javascript errors in ContentModule-built.js
Description

on my fresh installation with neos on my windows machine and dev mode i get the following error right after opening the neos
backend:

Uncaught TypeError: Object #<Object> has no method 'ready'
Uncaught TypeError: Cannot read property 'success' of undefined

the original request is made from:

_Resources/Static/Packages/TYPO3.ExtJS/JavaScript/ext-direct.js

and neos shows a notification:

ExtDirect error: Unable to connect to the server.

Related issues:
related to TYPO3.Neos - Bug # 44827: Error loading the VIE schema Closed 2013-01-26

History
#1 - 2013-06-15 10:20 - Mattias Nilsson

Hi Simon,

Do you still have this error when using the current GIT master?

/Mattias

#2 - 2013-07-11 23:12 - Aske Ertmann
- Status changed from New to Needs Feedback
- Assigned To set to Simon Schaufelberger

#3 - 2013-07-11 23:28 - Simon Schaufelberger

that bug is fixed now.

but now i get a different error when loading the page tree:

Uncaught TypeError: Cannot read property 'success' of undefined in PageTree.js:164

2015-08-04 1/2



I have a very slow windows and i think the timeout of the ext direct call needs to be increased because after some time, i get the notification:
ExtDirect error: Unable to connect to the server and the loading icon in the page tree is rotating forever and i never see the page tree.

#4 - 2013-09-30 11:40 - Aske Ertmann
- Status changed from Needs Feedback to Resolved
- Assigned To deleted (Simon Schaufelberger)
- % Done changed from 0 to 100

Hi Simon

Since this issue has been resolved I have closed the ticket, if you're still having issues with the success method please open a new ticket
